# Amiga BSD Socket coding

Get your Amiga doing stuff on the Internet!

All code in this repo is licensed under the MIT License.

## The original AMOS code

`amos_pro_original` contains the original AMOS Professional code to use
`bsdsocket.library` in BASIC. It requires the
[EasyLife](http://aminet.net/package/dev/amos/Easylife110_P1) extension.

This is the code used in the [23 Year Old Code](https://youtu.be/l4GNHJfYOUU) video.

## Server in C

`server_in_c` uses SAS/C and the AmiTCK SDK to build a simple server that
prints out what is received, like a very basic `netcat`.

This is the code used in the [Simple Server in C for the Commodore Amiga](https://youtu.be/i6_PQUsayN4) video.

## Client in Assembler

`client_in_asm` uses AsmPro and the AmiTCK SDK to build a simple client that
connects to a specified host and port and sends some data, like the other end
of a very basic `netcat`.

This is the code used in the [Building a simple Amiga network client...in assembler?!?](https://youtu.be/HbMPBbF9-RE) video.
