# Amiga BSD Socket Client in Assembler and C

The versions are identical, except that the C version uses `printf` instead
of `PutStr()`.

## Assembler Version

Built using AsmPro. You'll have to adjust the `INCDIR` locations and build
the LVOs for the `bsdsocket` and `dos` libraries. You can get the socket
FD file from the AmiTCP SDK.

```
fd2pragma fd/dos.fd to include_i/ special 20
fd2pragma fd/socket.fd to include_i/ special 20
```

## C Version

Built using SAS/C 6.58 and the
[AmiTCP 4.3 SDK](http://aminet.net/package/comm/tcp/AmiTCP-SDK-4.3).

`sc link client.c`
